package gg.codie.spritecaster.resources.textures;

public enum ResourcePackTexture {
    ITEM_ARROWS,
    ITEM_BOAT,
    ITEM_CART,
    ITEM_SIGN,

    FOLIAGE_COLOR,
    GRASS_COLOR,
    MAP_BACKGROUND,
    MAP_ICONS,
    PUMPKIN_BLUR,
    SHADOW,
    VIGNETTE,
    WATER_BLUR,
    WATER_COLOR,

    ENVIRONMENT_CLOUDS,
    ENVIRONMENT_RAIN,
    ENVIRONMENT_SNOW,
    ENVIRONMENT_MOON_PHASES,
    ENVIRONMENT_SUN,

    FONT,

    PACK;

    public enum Block {
        GRASS_TOP,
        STONE,
        DIRT,
        GRASS_SIDE,
        WOODEN_PLANKS,
        STONE_SLAB_SIDE,
        STONE_SLAB_TOP,
        BRICKS,
        TNT_SIDE,
        TNT_TOP,
        TNT_BOTTOM,
        COBWEB,
        RED_FLOWER,
        YELLOW_FLOWER,
        SAPLING,

        COBBLESTONE,
        BEDROCK,
        SAND,
        GRAVEL,
        LOG_SIDE,
        LOG_TOP,
        BLOCK_OF_IRON,
        BLOCK_OF_GOLD,
        BLOCK_OF_DIAMOND,
        CHEST_TOP,
        CHEST_SIDE,
        CHEST_FRONT,
        RED_MUSHROOM,
        BROWN_MUSHROOM,

        ORE_GOLD,
        ORE_IRON,
        ORE_COAL,
        BOOKSHELF,
        MOSSY_COBBLESTONE,
        OBSIDIAN,
        GRASS_SIDE_OVERLAY,
        TALL_GRASS,
        GRASS_TOP_SNOWY,
        DOUBLE_CHEST_FRONT_LEFT,
        DOUBLE_CHEST_FRONT_RIGHT,
        CRAFTING_TABLE_TOP,
        FURNACE_FRONT,
        FURNACE_SIDE,
        DISPENSER_FRONT,

        SPONGE,
        GLASS,
        ORE_DIAMOND,
        ORE_REDSTONE,
        LEAVES_FANCY,
        LEAVES_FAST,
        DEADBUSH,
        FERN,
        DOUBLE_CHEST_BACK_LEFT,
        DOUBLE_CHEST_BACK_RIGHT,
        CRAFTING_TABLE_SIDE_SCISSORS,
        CRAFTING_TABLE_SIDE_SAW,
        FURNACE_BURNING,
        FURNACE_TOP,
        SPRUCE_SAPLING,

        WOOL_WHITE,
        MOB_SPAWNER,
        SNOW,
        ICE,
        GRASS_SIDE_SNOWY,
        CACTUS_TOP,
        CACTUS_SIDE,
        CACTUS_BOTTOM, // why is this even a thing
        CLAY,
        SUGAR_CANE_BLOCK,
        NOTEBLOCK,
        JUKEBOX_TOP,
        BIRCH_SAPLING,

        TORCH,
        WOODEN_DOOR_TOP,
        IRON_DOOR_TOP,
        LADDER,
        TRAPDOOR,
        FARMLAND_WET,
        FARMLAND_DRY,
        WHEAT_0,
        WHEAT_1,
        WHEAT_2,
        WHEAT_3,
        WHEAT_4,
        WHEAT_5,
        WHEAT_6,
        WHEAT_7,

        LEVER,
        WOODEN_DOOR_BOTTOM,
        IRON_DOOR_BOTTOM,
        REDSTONE_TORCH_ON,
        PUMPKIN_TOP,
        NETHERRACK,
        SOUL_SAND,
        GLOWSTONE,
        PISTON_HEAD_STICKY,
        PISTON_HEAD,
        PISTON_SIDE,
        PISTON_BACK,
        PISTON_FRONT,

        RAIL_CORNER,
        WOOL_BLACK,
        WOOL_DARK_GREY,
        REDSTONE_TORCH_OFF,
        LOG_SPRUCE,
        LOG_BIRCH,
        PUMPKIN_SIDE,
        PUMPKIN_FRONT,
        PUMPKIN_FRONT_LIT,
        CAKE_TOP,
        CAKE_SIDE,
        CAKE_SIDE_EATEN,
        CAKE_BOTTOM,

        RAIL,
        WOOL_RED,
        WOOL_PINK,
        REDSTONE_REPEATER_OFF,
        LEAVES_FANCY_SPRUCE,
        LEAVES_FAST_SPRUCE,
        BED_LOWER_TOP,
        BED_UPPER_TOP,

        BLOCK_OF_LAPIS,
        WOOL_DARK_GREEN,
        WOOL_LIME,
        REDSTONE_REPEATER_ON,
        BED_FRONT,
        BED_LOWER_SIDE,
        BED_UPPER_SIDE,
        BED_BACK,

        ORE_LAPIS,
        WOOL_BROWN,
        WOOL_YELLOW,
        RAIL_POWERED_OFF,
        REDSTONE_CROSS,
        REDSTONE_CROSS_OFF,
        REDSTONE_CROSS_ON,
        REDSTONE_LINE,
        REDSTONE_LINE_OFF,
        REDSTONE_LINE_ON,

        SANDSTONE_TOP,
        WOOL_DARK_BLUE,
        WOOL_LIGHT_BLUE,
        RAIL_POWERED_ON,

        SANDSTONE_SIDE,
        WOOL_PURPLE,
        WOOL_MAGENTA,
        RAIL_DETECTOR,

        SANDSTONE_BOTTOM,
        WOOL_TEAL,
        WOOL_ORANGE,

        WOOL_LIGHT_GREY,

        BREAKING_0,
        BREAKING_1,
        BREAKING_2,
        BREAKING_3,
        BREAKING_4,
        BREAKING_5,
        BREAKING_6,
        BREAKING_7,
        BREAKING_8,
        BREAKING_9,

        WATER_STILL,
        WATER_FLOWING,
        LAVA_FLOWING,
        LAVA_STILL,
        FIRE_0,
        FIRE_1,
        PORTAL,
        GEAR_CLOCKWISE,
        GEAR_ANTICLOCKWISE,

        WOOL_CHARTREUSE,
        WOOL_SPRING_GREEN,
        WOOL_CYAN,
        WOOL_CAPRI,
        WOOL_ULTRAMARINE,
        WOOL_VIOLET,
        WOOL_ROSE,

        BLOCK_OF_IRON_SIDE,
        BLOCK_OF_IRON_BOTTOM,
        BLOCK_OF_GOLD_SIDE,
        BLOCK_OF_GOLD_BOTTOM,
        BLOCK_OF_DIAMOND_SIDE,
        BLOCK_OF_DIAMOND_BOTTOM
    }

    public enum Painting {
        ALBAN,
        AZTEC,
        AZTEC2,
        BACK,
        BOMB,
        PLANT,
        BURNING_SKULL,
        BUST,
        COURBET,
        CREEBET,
        DONKEY_KONG,
        FIGHTERS,
        GRAHAM,
        KEBAB,
        MATCH,
        PIGSCENE,
        POOL,
        SEA,
        SKELETON,
        SKULL_AND_ROSES,
        SUNSET,
        VOID,
        WANDERER,
        WASTELAND,
        STAGE,
        POINTER
    }

    public enum Mob {
        STEVE,
        CHICKEN,
        COW,
        CREEPER,
        CREEPER_CHARGE,
        GHAST_FIRE,
        GHAST,
        PIG,
        PIGZOMBIE,
        PIG_SADDLE,
        SHEEP_FUR,
        SHEEP,
        SKELETON,
        SLIME,
        SPIDER_EYES,
        SPIDER,
        SQUID,
        WOLF_ANGRY,
        DOGGY,
        DOGGY_COLLAR,
        WOLF,
        ZOMBIE,
    }

    public enum Item {
        HELMET_CLOTH,
        HELMET_CLOTH_OVERLAY,
        HELMET_CHAIN,
        HELMET_IRON,
        HELMET_DIAMOND,
        HELMET_GOLD,
        FLINT_AND_STEEL,
        FLINT,
        COAL,
        STRING,
        WHEAT_SEEDS,
        APPLE,
        GAPPLE,
        EGG,
        SUGAR,
        SNOWBALL,
        HELMET_INVENTORY,

        CHEST_CLOTH,
        CHEST_CLOTH_OVERLAY,
        CHEST_CHAIN,
        CHEST_IRON,
        CHEST_DIAMOND,
        CHEST_GOLD,
        BOW,
        BRICK,
        INGOT_IRON,
        FEATHER,
        WHEAT,
        PAINTING,
        SUGAR_CANE,
        BONE,
        CAKE,
        SLIMEBALL,
        CHEST_INVENTORY,

        LEGS_CLOTH,
        LEGS_CLOTH_OVERLAY,
        LEGS_CHAIN,
        LEGS_IRON,
        LEGS_DIAMOND,
        LEGS_GOLD,
        ARROW,
        //QUIVER,
        INGOT_GOLD,
        GUNPOWDER,
        BREAD,
        SIGN,
        DOOR_WOODEN,
        DOOR_IRON,
        BED,
        LEGS_INVENTORY,

        BOOTS_CLOTH,
        BOOTS_CLOTH_OVERLAY,
        BOOTS_CHAIN,
        BOOTS_IRON,
        BOOTS_DIAMOND,
        BOOTS_GOLD,
        STICK,
        COMPASS_BASE,
        DIAMOND,
        REDSTONE,
        CLAY_BALL,
        PAPER,
        BOOK,
        MAP,
        BOOTS_INVENTORY,

        SWORD_WOOD,
        SWORD_STONE,
        SWORD_IRON,
        SWORD_DIAMOND,
        SWORD_GOLD,
        FISHING_ROD,
        CLOCK_BASE,
        CLOCK_DIAL,
        BOWL,
        MUSHROOM_SOUP,
        GLOWSTONE_DUST,
        BUCKET,
        BUCKET_WATER,
        BUCKET_LAVA,
        BUCKET_MILK,
        INK_SAC,
        DYE_GREY,

        SHOVEL_WOOD,
        SHOVEL_STONE,
        SHOVEL_IRON,
        SHOVEL_DIAMOND,
        SHOVEL_GOLD,
        FISHING_ROD_THROWN,
        REDSTONE_REPEATER,
        PORKCHOP,
        COOKED_PORKCHOP,
        FISH,
        COOKED_FISH,
        COOKIE,
        SHEARS,
        DYE_RED,
        DYE_PINK,

        PICKAXE_WOOD,
        PICKAXE_STONE,
        PICKAXE_IRON,
        PICKAXE_DIAMOND,
        PICKAXE_GOLD,
        LEATHER,
        SADDLE,
        DYE_DARK_GREEN,
        DYE_LIME,

        AXE_WOODEN,
        AXE_STONE,
        AXE_IRON,
        AXE_DIAMOND,
        AXE_GOLD,
        DYE_BROWN,
        DYE_YELLOW,

        HOE_WOODEN,
        HOE_STONE,
        HOE_IRON,
        HOE_DIAMOND,
        HOE_GOLD,
        MINECART,
        BOAT,
        DYE_DARK_BLUE,
        DYE_LIGHT_BLUE,

        MINECART_CHEST,
        DYE_PURPLE,
        DYE_MAGENTA,

        MINECART_FURNACE,
        DYE_TEAL,
        DYE_ORANGE,

        DYE_LIGHT_GREY,
        BONE_MEAL,

        RECORD_13,
        RECORD_CAT
    }

    public enum Gui {
        BACKGROUND,
        CONTAINER,
        CRAFTING,
        FURNACE,
        WIDGETS,
        ICONS,
        INVENTORY,
        LOGO,
        SLOT,
        TRAP,
        UNKNOWN_PACK,
        PANORAMA0,
        PANORAMA1,
        PANORAMA2,
        PANORAMA3,
        PANORAMA4,
        PANORAMA5
    }

    public enum Armour {
        CHAIN_UPPER,
        CHAIN_LOWER,
        LEATHER_UPPER,
        LEATHER_LOWER,
        LEATHER_UPPER_OVERLAY,
        LEATHER_LOWER_OVERLAY,
        DIAMOND_UPPER,
        DIAMOND_LOWER,
        GOLD_UPPER,
        GOLD_LOWER,
        IRON_UPPER,
        IRON_LOWER,
    }

    public enum Particle {
        GENERIC_0,
        GENERIC_1,
        GENERIC_2,
        GENERIC_3,
        GENERIC_4,
        GENERIC_5,
        GENERIC_6,
        GENERIC_7,

        BUBBLE,
        FISHING_HOOK,

        FLAME,
        LAVA,

        NOTE,

        HEART,

        OLD_SPLASH_0,
        OLD_SPLASH_1,

        SPLASH_0,
        SPLASH_1,
        SPLASH_2,
        SPLASH_3,
    }

}
